PHP Manual
Prev |  | Next

# HaruPage::textRect

(no version information, might be only in CVS)

HaruPage::textRect -- Print the text inside the specified region

## Description

bool HaruPage::textRect ( float left, float top, float right, float bottom, string text [, int align] )

Prints the text inside the specified region.

## Parameters

`left`

  Left border of the text area.

`top`

  Top border of the text area.

`right`

  Right border of the text area.

`bottom`

  Lower border of the text area.

`text`

  The text to print.

`align`

  Text alignment. Must be one of the following values:

  `HaruPage::TALING_LEFT`
  `HaruPage::TALING_RIGHT`
  `HaruPage::TALING_CENTER`
  `HaruPage::TALING_JUSTIFY`

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruPage::showTextNextLine()
HaruPage::showText()
HaruPage::textOut()

Prev | Home | Next
HaruPage::textOut | Up | hash Functions